find_path(SQLITE_INCLUDE_DIR NAMES sqlite3.h
          PATHS /usr/include
          DOC "The SQLITE include directory"
)

find_library(SQLITE_LIBRARY NAMES sqlite3
          PATHS /usr/lib64
          DOC "The SQLITE library"
)

include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(SQLite DEFAULT_MSG SQLITE_LIBRARY SQLITE_INCLUDE_DIR)

if(SQLITE_FOUND)
  set( SQLITE_LIBRARIES ${SQLITE_LIBRARY} )
  set( SQLITE_INCLUDE_DIRS ${SQLITE_INCLUDE_DIR} )
endif()

mark_as_advanced(SQLITE_INCLUDE_DIR SQLITE_LIBRARY)
