find_path(IUP_INCLUDE_DIR NAMES iup.h
          PATHS /home/alexander/repositories/iup/include
          DOC "The IUP include directory"
)

find_library(IUP_LIBRARY NAMES iup
          PATHS /home/alexander/repositories/iup
          DOC "The IUP library"
)

include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(IUP DEFAULT_MSG IUP_LIBRARY IUP_INCLUDE_DIR)

if(IUP_FOUND)
  set( IUP_LIBRARIES ${IUP_LIBRARY} )
  set( IUP_INCLUDE_DIRS ${IUP_INCLUDE_DIR} )
endif()

mark_as_advanced(IUP_INCLUDE_DIR IUP_LIBRARY)
